The BOM Secondary Item object
Attributes
Unique identifier for the object.
Default: 0
Default: 1
Default: 0
Default: 0
Default: 0
Default: false
Default: 0
{
"id": "b-o-m-secondary-item_abc123",
"idx": 1,
"bom_id": "bom_id_example",
"type": "type_example",
"item_code": "item_code_example",
"item_name": "item_name_example",
"cost": 0,
"stock_uom": "stock_uom_example",
"uom": "uom_example",
"conversion_factor": 1,
"image": "image_example",
"stock_qty": 0,
"qty": 0,
"cost_allocation_per": 0,
"process_loss_per": 0,
"description": "description_example",
"image_nygv": "image_nygv_example",
"base_cost": 0,
"is_legacy": false,
"rate": 0,
"process_loss_qty": 0
} /api/manufacturing/b-o-m-secondary-item?parent_id={id} List bom secondary items by parent
Returns all bom secondary items belonging to the specified parent.
Query parameters
The ID of the parent to list children for.
Returns
A list of bom secondary item objects belonging to the parent.
curl https://api.overplane.dev/api/manufacturing/b-o-m-secondary-item?parent_id=parent_abc123 \
-H "Authorization: Bearer sk_test_..." {
"data": [
{
"id": "b-o-m-secondary-item_abc123",
"idx": 1,
"bom_id": "bom_id_example",
"type": "type_example",
"item_code": "item_code_example",
"item_name": "item_name_example",
"cost": 0,
"stock_uom": "stock_uom_example",
"uom": "uom_example",
"conversion_factor": 1,
"image": "image_example",
"stock_qty": 0,
"qty": 0,
"cost_allocation_per": 0,
"process_loss_per": 0,
"description": "description_example",
"image_nygv": "image_nygv_example",
"base_cost": 0,
"is_legacy": false,
"rate": 0,
"process_loss_qty": 0
}
],
"has_more": false,
"total": 1
} /api/manufacturing/b-o-m-secondary-item Create a bom secondary item
Creates a new bom secondary item object.
Body parameters
Default: 0
Default: 1
Default: 0
Default: 0
Default: 0
Default: false
Default: 0
Returns
Returns the newly created bom secondary item object if the call succeeded.
curl https://api.overplane.dev/api/manufacturing/b-o-m-secondary-item \
-H "Authorization: Bearer sk_test_..." \
-X POST \
-H "Content-Type: application/json" \
-d '{"bom_id":"bom_id_example","item_code":"item_code_example","uom":"uom_example","qty":0}' {
"id": "b-o-m-secondary-item_abc123",
"idx": 1,
"bom_id": "bom_id_example",
"type": "type_example",
"item_code": "item_code_example",
"item_name": "item_name_example",
"cost": 0,
"stock_uom": "stock_uom_example",
"uom": "uom_example",
"conversion_factor": 1,
"image": "image_example",
"stock_qty": 0,
"qty": 0,
"cost_allocation_per": 0,
"process_loss_per": 0,
"description": "description_example",
"image_nygv": "image_nygv_example",
"base_cost": 0,
"is_legacy": false,
"rate": 0,
"process_loss_qty": 0
} /api/manufacturing/b-o-m-secondary-item/{id} Update a bom secondary item
Updates the specified bom secondary item by setting the values of the parameters passed. Any parameters not provided will be left unchanged.
Path parameters
The identifier of the bom secondary item to update.
Body parameters
Default: 0
Default: 1
Default: 0
Default: 0
Default: 0
Default: false
Default: 0
Returns
Returns the updated bom secondary item object.
curl https://api.overplane.dev/api/manufacturing/b-o-m-secondary-item/b-o-m-secondary-item_abc123 \
-H "Authorization: Bearer sk_test_..." \
-X PATCH \
-H "Content-Type: application/json" \
-d '{"idx":1,"bom_id":"bom_id_example"}' {
"id": "b-o-m-secondary-item_abc123",
"idx": 1,
"bom_id": "bom_id_example",
"type": "type_example",
"item_code": "item_code_example",
"item_name": "item_name_example",
"cost": 0,
"stock_uom": "stock_uom_example",
"uom": "uom_example",
"conversion_factor": 1,
"image": "image_example",
"stock_qty": 0,
"qty": 0,
"cost_allocation_per": 0,
"process_loss_per": 0,
"description": "description_example",
"image_nygv": "image_nygv_example",
"base_cost": 0,
"is_legacy": false,
"rate": 0,
"process_loss_qty": 0
} /api/manufacturing/b-o-m-secondary-item/{id} Delete a bom secondary item
Permanently deletes a bom secondary item. This cannot be undone.
Path parameters
The identifier of the bom secondary item to delete.
Returns
Returns a confirmation that the bom secondary item has been deleted.
curl https://api.overplane.dev/api/manufacturing/b-o-m-secondary-item/b-o-m-secondary-item_abc123 \
-H "Authorization: Bearer sk_test_..." \
-X DELETE {
"id": "b-o-m-secondary-item_abc123",
"deleted": true
} /api/manufacturing/b-o-m-secondary-item/reorder Reorder bom secondary items
Updates the sort order of bom secondary items within their parent by setting new index values.
Returns
Returns the reordered list.
curl https://api.overplane.dev/api/manufacturing/b-o-m-secondary-item/reorder \
-H "Authorization: Bearer sk_test_..." \
-X POST {
"id": "b-o-m-secondary-item_abc123",
"idx": 1,
"bom_id": "bom_id_example",
"type": "type_example",
"item_code": "item_code_example",
"item_name": "item_name_example",
"cost": 0,
"stock_uom": "stock_uom_example",
"uom": "uom_example",
"conversion_factor": 1,
"image": "image_example",
"stock_qty": 0,
"qty": 0,
"cost_allocation_per": 0,
"process_loss_per": 0,
"description": "description_example",
"image_nygv": "image_nygv_example",
"base_cost": 0,
"is_legacy": false,
"rate": 0,
"process_loss_qty": 0
}